Summary:	Binary diff/patch utility
Name:		bsdiff
Version:	4.3
Release:	8%{?dist}
License:	BSD
Group:		Development/Tools
Source0:	http://www.daemonology.net/bsdiff/bsdiff-%{version}.tar.gz
URL:		http://www.daemonology.net/bsdiff/
BuildRequires:	bzip2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
bsdiff and bspatch are tools for building and applying patches to binary files.
By using suffix sorting (specifically, Larsson and Sadakane's qsufsort) and
taking advantage of how executable files change, bsdiff routinely produces
binary patches 50-80% smaller than those produced by Xdelta, and 15% smaller
than those produced by .RTPatch.

%prep
%setup -q

%build
%{__cc} bsdiff.c -o bsdiff ${RPM_OPT_FLAGS} -lbz2
%{__cc} bspatch.c -o bspatch ${RPM_OPT_FLAGS} -lbz2

%install
rm -rf ${RPM_BUILD_ROOT}
install -d -m 755 ${RPM_BUILD_ROOT}%{_bindir}
install -d -m 755 ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 755 bsdiff bspatch ${RPM_BUILD_ROOT}%{_bindir}
install -m 644 bsdiff.1 bspatch.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/bsdiff
%{_bindir}/bspatch
%{_mandir}/man1/*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 25 2008 Jindrich Novy <jnovy@redhat.com> 4.3-5
- manual rebuild because of gcc-4.3 (#434182)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.3-4
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Jindrich Novy <jnovy@redhat.com> 4.3-3
- rebuild for BuildID

* Mon Sep 11 2006 Jindrich Novy <jnovy@redhat.com> 4.3-2
- rebuild

* Fri Mar 24 2006 Jindrich Novy <jnovy@redhat.com> 4.3-1
- initial build